XSLT wirft Fehler

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

XSLT wirft Fehler

Postby Gori » 25. August 2008 09:49

Tag,

hab gestern die neuste version drauf gezogen und jetzt laufen in meinem Script die XSL-Klassen nicht mehr:

Fatal error: Call to undefined method domdocument::createElement()

usw.

Wo muss ich in der php.ini das enablen? Alles was ich gefunden habe ist schon unkommentiert.
Gori
 
Posts: 16
Joined: 05. August 2005 14:38

Postby Gori » 25. August 2008 11:24

Ok, habs, aber wieso ist die noch unkommentiert?

extension=php_domxml.dll
Gori
 
Posts: 16
Joined: 05. August 2005 14:38

Postby Nobbie » 25. August 2008 11:39

Wieso sollte sie immer geladen werden?
Nobbie
 
Posts: 8779
Joined: 09. March 2008 13:04

Postby Gori » 25. August 2008 11:43

Das ist doch der Punkt, sie wird geladen und sollte es eigentlich nicht ;)
Gori
 
Posts: 16
Joined: 05. August 2005 14:38

Postby Nobbie » 25. August 2008 11:48

Ach so - hat mit Deinem Problem gar nichts zu tun, was nur so eine Frage.

Keine Ahnung wonach entschieden wird, was per Default aktiviert ist und was nicht. Da man es ja leicht anpassen kann, ist es so oder so egal.
Nobbie
 
Posts: 8779
Joined: 09. March 2008 13:04

Postby Gori » 25. August 2008 11:52

In den Zeiten von PHP 5 dachte ich das man die 4er Extensions eher disabled, nun ja ^^
Gori
 
Posts: 16
Joined: 05. August 2005 14:38

Postby Nobbie » 25. August 2008 12:14

>In den Zeiten von PHP 5 dachte ich das man die 4er Extensions eher disabled, nun ja ^^

Verstehe ich nicht? In meinem Ordner "ext" (unterhalb von php = PHP5) befindet sich eine DLL php_domxml.dll. Bei Dir nicht?
Nobbie
 
Posts: 8779
Joined: 09. March 2008 13:04

Postby Gori » 25. August 2008 12:56

Jo, die gehört aber zu PHP4, wenn ich mich nicht vertue.
Gori
 
Posts: 16
Joined: 05. August 2005 14:38

Postby Nobbie » 25. August 2008 14:41

Ne, zu PHP4 gehört sie nicht, aber ich habe mal ein wenig geforscht (weil Deine paar Sätze mir nicht viel sagen) und bin auf diesen Thread gestoßen:

http://community.apachefriends.org/f/viewtopic.php?t=30288

Also überlagert diese DLL die "eingebauten" Routinen in PHP5 - weswegen man sie eigentlich nicht mehr nutzen sollte. Von daher ist es in der Tat unsauber, dass die php.ini bei Xampp 1.6.7 die php_domxml.dll per Default inkludiert.
Nobbie
 
Posts: 8779
Joined: 09. March 2008 13:04

Postby Gori » 25. August 2008 19:50

Ich hab nur in diesem Forum gesucht, hätt ich ma alle durchsuchen sollen :roll:

Die Dom XML beinhaltet aber die alten PHP4-Funktionen bzw. Klassen, deswegen meint ich sie gehört zu PHP 4.

Aber rennt jetzt :)
Gori
 
Posts: 16
Joined: 05. August 2005 14:38


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 8 guests